"use strict";

var _SearchEngine = require("../SearchEngine");

jest.mock('q3-ui-locale', () => ({
  browser: {
    isBrowserReady: jest.fn()
  }
}));
const host = 'https://google.ca';
beforeEach(() => {
  Object.defineProperty(window, 'location', {
    value: {
      host
    }
  });
});
describe('SearchEngine', () => {
  it('should not render descriptions without content', () => {
    expect((0, _SearchEngine.generateMetaDescriptionOptions)().length).toBe(0);
  });
  it('should render descriptions with content', () => {
    expect((0, _SearchEngine.generateMetaDescriptionOptions)('foo').length).toBeGreaterThanOrEqual(1);
  });
  it('should return host', () => {
    expect((0, _SearchEngine.getStartUrl)()).toMatch(host);
  });
  it('should render favicon', () => {
    expect((0, _SearchEngine.generateIcons)({
      favicon: host
    })).toHaveLength(1);
  });
  it('should not render favicon', () => {
    expect((0, _SearchEngine.generateIcons)({
      favicon: undefined
    })).toHaveLength(0);
  });
  it('should include template literals', () => {
    expect((0, _SearchEngine.generateBrand)('3merge')).toMatch('%s | 3merge');
  });
});